//
// Copyright (c) 1997 Content Technologies Limited. All rights reserved.
//
// HEADER
//
//		simplblk.hpp
//
// PACKAGE
//
//		UBK - URL Blocker
//
// DESCRIPTION
//
//		This class is provided as an example of how to implement your own URL
//		blocker.
//
//
// REFERENCES
//
//		None.
//
// HISTORY
//
//		AUTHOR				DATE				CHANGES
//
//		Dominic Chambers	15-December-1997	Initial Version
//		Dominic Chamber		13-January-1998		Host IP address is now a parameter
//												of url block queries.
//

#ifndef _SIMPLBLK_HPP
#define _SIMPLBLK_HPP

#include "ubk\urlblock.hpp"

// Create your own class that is derived from Url_blocker, and overide the
// necessarry functions (see urlblock.hpp for details).
class Simple_block : public Url_blocker
{
	public:
		Simple_block() {}
		BOOL initialise();
		BOOL block_query(char* url, long host_ip_addr, BDS_Buffer& reason_text);

	private:
		BDS_Buffer m_block_url;
		BDS_Buffer m_block_message;
};


// You must instantiate ONE instance of your class (the name does not matter).
Simple_block my_url_blocker_class;


#endif
